org.apache.ignite.internal.processors.platform.client

## Interface ClientOutgoingMessage

All Known Implementing Classes:
  ClientBinaryConfigurationGetResponse, ClientBinaryTypeGetResponse, ClientBooleanResponse, ClientByteResponse, ClientCacheEntryEventNotification, ClientCacheGetConfigurationResponse, ClientCacheGetNamesResponse, ClientClusterGroupGetNodeIdsResponse, ClientClusterGroupGetNodesDetailsResponse, ClientClusterGroupGetNodesEndpointsResponse, ClientExecuteTaskResponse, ClientIntResponse, ClientLongResponse, ClientNotification, ClientObjectNotification, ClientObjectResponse, ClientResponse, ClientServiceDescriptorResponse, ClientServiceDescriptorsResponse, ClientStringResponse

    public interface ClientOutgoingMessage

Thin client outgoing message (from server to client).

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `encode(ClientConnectionContext ctx, BinaryRawWriterEx writer)` Encodes the message data.

### Method Detail

#### encode

    void encode(ClientConnectionContext ctx,
                BinaryRawWriterEx writer)

Encodes the message data.

Parameters:
  `ctx` - Connection context.
  `writer` - Writer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023